Bug 122571 - [patch] net/libnet10 does not work on amd64
[patch] net/libnet10 does not work on amd64
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 15:10 UTC by mb
Modified: 2009-06-11 21:10 UTC (History)
0 users

See Also:


Attachments
ports.net.libnet10-1.0.2a_4,1.patch (541 bytes, patch)
2008-04-08 15:10 UTC, mb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mb 2008-04-08 15:10:00 UTC
Library net/libnet10 defines structures for contents of network packets.
Fields of the packets have fixed size according to the respective protocol
definitions, but the library uses type u_long for some of the 32bit fields.
This is a problem on amd64 architecture, where type long has 64 bits. On
amd64, libnet creates packets with bad contents.

How-To-Repeat: Try to send network packets created by net/libnet10. For example, Snort in
inline mode uses libnet to send TCP reset if a packet matches a reject rule.
The packets are invalid, which can be easily seen by tcpdump.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-08 15:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 clsung freebsd_committer 2008-04-09 02:36:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 3 Stefan Walter freebsd_committer 2009-01-08 17:23:44 UTC
Responsible Changed
From-To: clsung->freebsd-ports-bugs

Committer timeout (9 months).
Comment 4 Stefan Walter freebsd_committer 2009-01-08 17:25:06 UTC
State Changed
From-To: feedback->open

Maintainer was reset in the meantime.
Comment 5 pgollucci freebsd_committer 2009-06-10 07:58:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 6 dfilter freebsd_committer 2009-06-11 21:08:47 UTC
pgollucci    2009-06-11 20:08:35 UTC

  FreeBSD ports repository

  Modified files:
    net/libnet10         Makefile 
  Log:
  Library net/libnet10 defines structures for contents of network packets.
  Fields of the packets have fixed size according to the respective protocol
  definitions, but the library uses type u_long for some of the 32bit fields.
  This is a problem on amd64 architecture, where type long has 64 bits. On
  amd64, libnet creates packets with bad contents.
  
  PR:             ports/122571
  Submitted by:   Martin Beran <mb@tns.cz>
  
  Revision  Changes    Path
  1.25      +8 -1      ports/net/libnet10/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 pgollucci freebsd_committer 2009-06-11 21:08:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!